
Core - Bug # 38828

Task # 38755 (Accepted): Usability issues collected on the UX sprint

Status: Resolved Priority: Should have
Author: Steffen Ritter Category: Backend User Interface
Created: 2012-07-10 Assigned To:
Updated: 2012-07-20 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Remove "switch to list" in doc-header of the page module
Description

In the upper right corner of the docheader at the page module there is a small button to switch to the list module.
This is redundant and as well takes not care of the moduleMenu and other backend states which leads to an inconsistent backend
state.

just remove the icon.

Associated revisions
Revision 40871b96 - 2012-07-20 10:12 - Felix Kopp

[TASK] Remove record_list icon from Page module

Removes the record_list icon from the docHeader in Page module.

This icon links from page to list module but does not bring the
backend to a consistent state. The module bar is e.g. not updated.

The decision to remove the icon was taken at UX sprint 2012.

Change-Id: I754a5840a244017986bcaca2ecd4bf16a63cb85e
Releases: 6.0
Resolves: #38828
Reviewed-on: http://review.typo3.org/12911
Reviewed-by: Marcus Schwemer
Tested-by: Marcus Schwemer
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 4735bc44 - 2012-07-28 16:00 - Felix Kopp

[TASK] Remove record_list icon from Page module

Removes the record_list icon from the docHeader in Page module.

This icon links from page to list module but does not bring the
backend to a consistent state. The module bar is e.g. not updated.
The decision to remove the icon was taken at UX sprint 2012.

Change-Id: I754a5840a244017986bcaca2ecd4bf16a63cb85e
Releases: 6.0
Resolves: #38828
Reviewed-on: http://review.typo3.org/12911
Reviewed-by: Marcus Schwemer
Tested-by: Marcus Schwemer
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 7b0574d6 - 2012-08-05 19:30 - Felix Kopp

[TASK] Follow-up: Remove record_list icon

Removes the record_list icon from the docHeader in modules:

    -  info
    -  functions
    -  permissions/access
    -  tstemplate
    -  import/export
    -  new page wizard
    -  quickedit
    -  version (submodule)

This icon links to List module but does not bring the backend
to a consistent state. The module bar is e.g. not updated.

The decision to remove the icon was taken at UX sprint 2012.

Change-Id: I0cb6b6c01ec567cb279db089dfcc6b061430fef4
Releases: 6.0
Resolves: #38828
Reviewed-on: http://review.typo3.org/13452
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 09145449 - 2012-08-08 16:07 - Felix Kopp

[TASK] Follow-up: Remove record_list icon

Removes the record_list icon from the docHeader in modules:

    -  info
    -  functions
    -  permissions/access
    -  tstemplate
    -  import/export
    -  new page wizard
    -  quickedit
    -  version (submodule)

This icon links to List module but does not bring the backend
to a consistent state. The module bar is e.g. not updated.

The decision to remove the icon was taken at UX sprint 2012.

Change-Id: I0cb6b6c01ec567cb279db089dfcc6b061430fef4
Releases: 6.0
Resolves: #38828
Reviewed-on: http://review.typo3.org/13452
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision d75b1e0b - 2012-08-12 14:03 - Felix Kopp

[TASK] Follow-up: Remove record_list icon

Removes the record_list icon from the docHeader in modules:

    -  info
    -  functions
    -  permissions/access
    -  tstemplate
    -  import/export
    -  new page wizard
    -  quickedit
    -  version (submodule)

This icon links to List module but does not bring the backend
to a consistent state. The module bar is e.g. not updated.

The decision to remove the icon was taken at UX sprint 2012.

Change-Id: I0cb6b6c01ec567cb279db089dfcc6b061430fef4
Releases: 6.0
Resolves: #38828
Reviewed-on: http://review.typo3.org/13452
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-07-15 14:31 - Felix Kopp

Sprite 'actions-system-list-open'

2015-08-04 3/4

http://review.typo3.org/13452
http://review.typo3.org/13452


#2 - 2012-07-20 00:22 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12911

#3 - 2012-07-20 10:30 - Felix Kopp
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:40871b96b299728228976981cf47af0148d45d32.
